import sqlite3
con = sqlite3.connect('links.db')

# array of links to store
links = [
  ('http://csclub.uwaterloo.ca/','CS Club Website',3,1,0),
  ('https://www.instagram.com/uwcsclub/','Instagram',4,1,1),
  ('https://www.facebook.com/uw.computerscienceclub','Facebook',5,0,2),
  ('http://twitch.tv/uwcsclub','Twitch',6,0,3),
  ('http://bit.ly/uwcsclub-yt','YouTube',7,1,4),
]

# SQLite setup
cur = con.cursor()
cur.execute('''CREATE TABLE links (
  url text NOT NULL, 
  name text NOT NULL, 
  clicks int NOT NULL, 
  active int NOT NULL, 
  position int NOT NULL UNIQUE,
  UNIQUE(url, name)
  )''')
cur.executemany("INSERT INTO links VALUES (?,?,?,?,?)", links)
con.commit()

con.close()